 /*
 * Copyright 1998-2011 VIA Technologies, Inc. All Rights Reserved.
 * Copyright 2001-2011 S3 Graphics, Inc. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) OR COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

/*table infos*/
/*TMDS_VT3192, VT1632 */
{
	.slave_addr = 0x08,
	.num = 1,
	.table = {
		[0] = {
			.reg = 0x02,
			.id = 0x92,
			.name = "vt3192"
		},
		[1] = {
		},
	},
},
/*TMDS_SIL164 */
{
	.slave_addr = 0x38,
	.num = 1,
	.table = {
		[0] = {
			.reg = 0x02,
			.id = 0x06,
			.name = "sil164"
		},
		[1] = {
		},
	},
},
/*VT3345, VT1636 */
{
	.slave_addr = 0x40,
	.num = 1,
	.table = {
		[0] = {
			.reg = 0x02,
			.id = 0x45,
			.name = "vt3345"
		},
		[1] = {
		},
	},
},
/*AD9389 */
{
	.slave_addr = 0x39,
	.num = 1,
	.table = {
		[0] = {
			.name = "ad9389"
		},
		[1] = {
		},
	},
},
/*CH7301_EC */
{
	.slave_addr = 0x76,
	.num = 1,
	.table = {
		[0] = {
			.reg = 0x4B,
			.id = 0x17,
			.name = "ch7301_ec"
		},
		[1] = {
		},
	},
},
/*CH7301_EA */
{
	.slave_addr = 0x75,
	.num = 1,
	.table = {
		[0] = {
			.reg = 0x4B,
			.id = 0x17,
			.name = "ch7301_ea"
		},
		[1] = {
		},
	},
},
